Subject: bug#52918: 29.0.50; to make use of ucd/Unihan_Readings.txt for kDefinition entry

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Jul 2023 18:44:01 +0300

> Date: Sun, 23 Jan 2022 13:40:23 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Sun, 23 Jan 2022 11:22:03 +0000 (UTC)
> > From: Van Ly <[email-masked]>
> > cc: [email-masked]
> > 
> > > You don't seem to have copyright assignment on file, and without that
> > > we cannot accept such large contributions.  Would you like to start
> > > your legal paperwork now?  If so, I will send you the form and the
> > > instructions.
> > >
> > 
> > I sent an email to [email-masked] in the 24hr before this patch was 
> > submitted.  I was hoping this patch would fall below the 15 line 
> > limit and not need the formality of the legal paperwork.  The minor 
> > mode contribution would climb above the limit, which was why I sent 
> > the request to assign copyright.  Best case is a 2 week wait.
> > 
> > That generated uni-unihan-readings.el will need a line as follows:
> 
> Thanks, I prefer to wait until your assignment is in place, and you
> can then submit the final pieces to make this feature complete.

<Time passes...>

> Date: Tue, 25 Jul 2023 14:47:52 GMT
> From: Van Ly <[email-masked]>
> 
> More than 18-months ago I left hanging in one of the bug report
> threads the suggestion to include a readings table for CJKV characters
> from Unicode.
> 
> At the time I hadn't done the paperwork and posted the awk transformer
> script which was about fewer than 16 lines that generated the 21346
> lines reading table.  See attached.
> 
> I have since done the paperwork and was prompted to get this done or
> close the bug report seeing the configure script for 29.1 on line
> 2761 has the option to generate a smaller sized Japanese dictionary.
> 
> The awk script I have since misplaced but it should be somewhere in
> the bug report if details have not been purged beyond 12 months.

Details were not purged, but please look at the past discussions of
this bug and tell where in it should we look for the Awk script.

I forward below the attachments you sent to me in private email;
please continue discussing this issue in this thread, not separately
and not in private email to me.

Thanks.